package enseirb.myinpulse.model;

import jakarta.persistence.*;
import jakarta.persistence.PrimaryKeyJoinColumn;
import jakarta.persistence.Table;

import java.util.ArrayList;
import java.util.List;

@Entity
@Table(name = "administrator")
@PrimaryKeyJoinColumn(name = "idAdministrator", referencedColumnName = "idUser")
public class Administrator extends User {

    @OneToMany(mappedBy = "projectAdministrator", fetch = FetchType.LAZY, orphanRemoval = true)
    private List<Project> listProject = new ArrayList<>();

    /*@OneToMany(mappedBy = "administratorSectionCell", fetch = FetchType.LAZY, orphanRemoval = true)
    private List<SectionCell> listSectionCell = new ArrayList<>();*/
    // should now be useless

    @OneToMany(mappedBy = "administratorAnnotation", fetch = FetchType.LAZY, orphanRemoval = true)
    private List<Annotation> listAnnotation = new ArrayList<>();

    /*@OneToMany(mappedBy = "administratorAppointment", fetch = FetchType.LAZY, orphanRemoval = true)
    private final List<Appointment> listAppointment = new ArrayList<>();*/
    // should now be useless

    @OneToOne(mappedBy = "administratorAppointment", fetch = FetchType.LAZY, orphanRemoval = true)
    private MakeAppointment makeAppointment;

    public Administrator() {}

    public Administrator(
            Long idUser,
            String userSurname,
            String username,
            String mainMail,
            String secondaryMail,
            String phoneNumber) {
        super(idUser, userSurname, username, mainMail, secondaryMail, phoneNumber);
    }
}
