package enseirb.myinpulse.repository;

import enseirb.myinpulse.model.Administrator;
import enseirb.myinpulse.model.Project;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;

@RepositoryRestResource
public interface ProjectRepository extends JpaRepository<Project, Long> {
    Iterable<Project> findByProjectAdministrator(Administrator administrator);

    Iterable<Project> findByProjectStatus(String status);
}
